<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.15.1">
    <title>API Reference – bachelor_thesis v0.0.1</title>
    <link rel="stylesheet" href="dist/app-af302bfcc4.css" />
    
    <script src="dist/sidebar_items-1963507629.js"></script>
  </head>
  <body data-type="extras">
    <script>try { if(localStorage.getItem('night-mode')) document.body.className += ' night-mode'; } catch (e) { }</script>

<div class="main">
<button class="sidebar-toggle">
  <i class="icon-menu"></i>
</button>
<section class="sidebar">

  
  <a href="api-reference.html" class="sidebar-projectLink">
    <div class="sidebar-projectDetails">
      <h1 class="sidebar-projectName">
        bachelor_thesis
      </h1>
      <h2 class="sidebar-projectVersion">
        v0.0.1
      </h2>
    </div>
    
  </a>

  <div class="sidebar-search">
    <i class="icon-search"></i>
    <input type="text" class="sidebar-searchInput" placeholder="search" autocomplete="off" />
  </div>

  <ul class="sidebar-listNav">
    <li><a id="extras-list" href="#full-list">Pages</a></li>

    
      <li><a id="modules-list" href="#full-list">Modules</a></li>
    

    

    
  </ul>
  <div class="gradient"></div>
  <ul id="full-list" class="sidebar-fullList"></ul>
</section>

<section class="content">
  <div class="content-outer">
    <div id="content" class="content-inner">


<h1>
  <small class="visible-xs">bachelor_thesis v0.0.1</small>
  API Reference
</h1>


  <section class="details-list">
    <h2 id="modules" class="section-heading">
  <a href="#modules" class="hover-link"><i class="icon-link"></i></a>
  Modules
</h2>

    <div class="summary">
      <div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.html">BachelorThesis</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Device.html">BachelorThesis.Device</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceAction.html">BachelorThesis.DeviceAction</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceActionController.html">BachelorThesis.DeviceActionController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceController.html">BachelorThesis.DeviceController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceInterfaceType.html">BachelorThesis.DeviceInterfaceType</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceValue.html">BachelorThesis.DeviceValue</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceValueController.html">BachelorThesis.DeviceValueController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.DeviceView.html">BachelorThesis.DeviceView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Endpoint.html">BachelorThesis.Endpoint</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.ErrorHelpers.html">BachelorThesis.ErrorHelpers</a></div>
  
    <div class="summary-synopsis"><p>Conveniences for translating and building error messages</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.ErrorView.html">BachelorThesis.ErrorView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Generator.html">BachelorThesis.Generator</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Gettext.html">BachelorThesis.Gettext</a></div>
  
    <div class="summary-synopsis"><p>A module providing Internationalization with a gettext-based API</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Hash.html">BachelorThesis.Hash</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.LayoutView.html">BachelorThesis.LayoutView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.PageController.html">BachelorThesis.PageController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.PageView.html">BachelorThesis.PageView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.PairDevice.html">BachelorThesis.PairDevice</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.PairSmartDevice.html">BachelorThesis.PairSmartDevice</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Plug.Authenticate.html">BachelorThesis.Plug.Authenticate</a></div>
  
    <div class="summary-synopsis"><p>Authenticate plug module allows access to logged users. Otherwise redirects conn to root page</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Repo.html">BachelorThesis.Repo</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Router.html">BachelorThesis.Router</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Router.Helpers.html">BachelorThesis.Router.Helpers</a></div>
  
    <div class="summary-synopsis"><p>Module with named helpers generated from BachelorThesis.Router</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Session.html">BachelorThesis.Session</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.SessionController.html">BachelorThesis.SessionController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.SmartDevice.html">BachelorThesis.SmartDevice</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.SmartDeviceController.html">BachelorThesis.SmartDeviceController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.SmartDeviceView.html">BachelorThesis.SmartDeviceView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.User.html">BachelorThesis.User</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.UserController.html">BachelorThesis.UserController</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.UserDevice.html">BachelorThesis.UserDevice</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.UserSocket.html">BachelorThesis.UserSocket</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.UserView.html">BachelorThesis.UserView</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.ViewFunctions.html">BachelorThesis.ViewFunctions</a></div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="BachelorThesis.Web.html">BachelorThesis.Web</a></div>
  
    <div class="summary-synopsis"><p>A module that keeps using definitions for controllers,
views and so on</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature"><a href="GraphQL.Schema.DeviceSchema.html">GraphQL.Schema.DeviceSchema</a></div>
  
</div>

    </div>
  </section>






      <footer class="footer">
        <p>
          <span class="line">
            Built using
            <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" rel="help" target="_blank">ExDoc</a> (v0.15.1),
          </span>
          <span class="line">
            designed by
            <a href="https://twitter.com/dignifiedquire" target="_blank" title="@dignifiedquire">Friedel Ziegelmayer</a>.
            </span>
        </p>
        <button class="night-mode-toggle" />
      </footer>
    </div>
  </div>
</section>
</div>
  <script src="dist/app-e9767fa739.js"></script>
  </body>
</html>

